using NBC;
using UnityEngine;

namespace NBF
{
    public abstract class MonoService : MonoBehaviour
    {
    }

    public abstract class MonoService<T> : MonoService where T : MonoService
    {
        public static T Instance { get; private set; }

        protected void Awake()
        {
            Instance = this as T;
            OnAwake();
        }

        protected virtual void OnAwake()
        {
        }
    }
}